
From: Russell King <rmk+lkml@arm.linux.org.uk>

The following patch fixes these build errors on machines with CONFIG_PCI=n:

drivers/parport/parport_pc.c:3199: error: `parport_init_mode' undeclared (first use in this function)
drivers/parport/parport_pc.c:3199: error: (Each undeclared identifier is reported only once
drivers/parport/parport_pc.c:3199: error: for each function it appears in.)

Signed-off-by: Russell King <rmk@arm.linux.org.uk>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/parport/parport_pc.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

diff -puN drivers/parport/parport_pc.c~parport_pc-config_pci=n-build-fix drivers/parport/parport_pc.c
--- 25/drivers/parport/parport_pc.c~parport_pc-config_pci=n-build-fix	2004-11-17 00:03:02.453867832 -0800
+++ 25-akpm/drivers/parport/parport_pc.c	2004-11-17 00:03:02.459866920 -0800
@@ -3154,6 +3154,7 @@ static int __init parport_parse_dma(cons
 				     PARPORT_DMA_NONE, PARPORT_DMA_NOFIFO);
 }
 
+#ifdef CONFIG_PCI
 static int __init parport_init_mode_setup(const char *str) {
 
 	printk(KERN_DEBUG "parport_pc.c: Specified parameter parport_init_mode=%s\n", str);
@@ -3170,6 +3171,7 @@ static int __init parport_init_mode_setu
 		parport_init_mode=5;
 	return 1;
 }
+#endif
 
 #ifdef MODULE
 static const char *irq[PARPORT_PC_MAX_PORTS];
@@ -3189,16 +3191,20 @@ module_param_array(dma, charp, NULL, 0);
 MODULE_PARM_DESC(verbose_probing, "Log chit-chat during initialisation");
 module_param(verbose_probing, int, 0644);
 #endif
+#ifdef CONFIG_PCI
 MODULE_PARM_DESC(init_mode, "Initialise mode for VIA VT8231 port (spp, ps2, epp, ecp or ecpepp)");
 MODULE_PARM(init_mode, "s");
+#endif
 
 static int __init parse_parport_params(void)
 {
 	unsigned int i;
 	int val;
 
+#ifdef CONFIG_PCI
 	if (init_mode)
 		parport_init_mode_setup(init_mode);
+#endif
 
 	for (i = 0; i < PARPORT_PC_MAX_PORTS && io[i]; i++) {
 		if (parport_parse_irq(irq[i], &val))
@@ -3313,9 +3319,9 @@ __setup ("parport=", parport_setup);
  *
  * parport_init_mode=[spp|ps2|epp|ecp|ecpepp]
  */
-
+#ifdef CONFIG_PCI
 __setup("parport_init_mode=",parport_init_mode_setup);
-
+#endif
 #endif
 
 /* "Parser" ends here */
_
